<?php
	include ('include/config.php');
	include ('include/admin_check.php');
	include ('include/functions.php');
	include ('include/kategoriasor_include.php');

	$oldal = $_GET["old"] ;
	if ($oldal < 1) {
		$oldal = 1 ;
	}
	
	$akt_kat = $_GET["akt_kat"] ;
	if (!is_numeric($akt_kat)) {
		$akt_kat = "0" ;
	}
	
	$aktualis_kategoria_nev = "/" ;

		
	$kezdo = $oldal * $termek_oldalankent - $termek_oldalankent ;		//Beállítjuk az sql limit alsó küszöbét

	$query = "select count(*) as szam from termek_kategoriak where szulo = '$akt_kat'" ;
	$result = lekerdez($query) ;
	$ossz_sorszam = mysqli_result($result, 0, "szam") ;
	mysqli_free_result($result) ;
	//Meghatározzuk, hogy a megjelenő lista termékeket, vagy kategóriákat tartalmaz, mert utána azokat listázzuk csak
	if ($ossz_sorszam == 0) {
		$query = "select count(*) as szam from termekek where kategoria_id = '$akt_kat'" ;
		$result = lekerdez($query) ;
		$ossz_sorszam = mysqli_result($result, 0, "szam") ;
		mysqli_free_result($result) ;
		$sor_tipus = "termék" ;
	}
	else
	{
		$sor_tipus = "kategória" ;
	}
	$talalatszam = $ossz_sorszam ;
	
	if ($sor_tipus == "termék") {
		$query = "select termekek.id, termek_szovegek.nev, suly, lathato from termekek left join termek_szovegek on (termekek.id = termek_szovegek.termek_id) where kategoria_id = '$akt_kat' and nyelv_id = '$alapertelmezett_nyelv_id' order by suly, nev limit $kezdo, $termek_oldalankent" ;
		$result = lekerdez($query) ;
		$termekek = array() ;
		if (mysqli_num_rows($result) > 0) {
			while ($sor = mysqli_fetch_assoc($result)) {
				$termekek[] = $sor ;
			}
			mysqli_free_result($result) ;
		}
	}
	else
	{
		$query = "select termek_kategoriak.id, termek_kategoriak.suly, termek_kategoriak.lathato, termek_kategoriak_szovegek.nev, termek_kategoriak_szovegek.url_nev from termek_kategoriak inner join termek_kategoriak_szovegek on (termek_kategoriak.id = termek_kategoriak_szovegek.termek_kategoria_id) where szulo = '$akt_kat' and nyelv_rovid = '$alapertelmezett_nyelv_id' order by suly, nev limit $kezdo, $termek_oldalankent" ;

		$result = lekerdez($query) ;
		$alkategoriak = array() ;
		if (mysqli_num_rows($result) > 0) {
			while ($sor = mysqli_fetch_assoc($result)) {
				$alkategoriak[] = $sor ;
			}
			mysqli_free_result($result) ;
		}
	}			

	$oldalszam = ceil($talalatszam / $termek_oldalankent) ;
	
 	$elozo = "" ;
	if ($oldal > 1) 
	  $elozo = $oldal-1 ;

	$kov = "" ;
	if ($oldal < $oldalszam) 
	  $kov = $oldal+1 ;


	$query = "select termek_kategoriak_szovegek.nev, termek_kategoriak.szulo from termek_kategoriak inner join termek_kategoriak_szovegek on (termek_kategoriak.id = termek_kategoriak_szovegek.termek_kategoria_id) where termek_kategoriak.id = '$akt_kat' and nyelv_rovid = '$alapertelmezett_nyelv_id'" ;
	$result = lekerdez($query) ;
	if (mysqli_num_rows($result) > 0) {
		$akt_kat_nev = mysqli_result($result, 0, "nev") ;
		$akt_szulo = mysqli_result($result, 0, "szulo") ;
		mysqli_free_result($result) ;
	}
	if ($akt_kat_nev == "") {
		$akt_kat_nev = "Gyökér kategória" ;
	}

	$kategoriak = kategoriastruktura(0) ;
	for ($i=0;$i<count($kategoriak);$i++) {
		if ($kategoriak[$i]["szulo"] != '0') {
			$kategoriak[$i]["nev"] = csaladfa_kigyujtes($kategoriak[$i]) ;
		}
	}
	

?>

<!DOCTYPE html>

<html lang="en">

  <head>

    <meta charset="utf-8">

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta name="description" content="">

    <meta name="author" content="">



    <title><?php echo $admin_title;?> Admin: Collections</title>



    <!-- Bootstrap core CSS -->

    <link href="css/bootstrap.css" rel="stylesheet">



    <!-- Add custom CSS here -->

    <link href="css/sb-admin.css" rel="stylesheet">

    <link rel="stylesheet" href="font-awesome/css/font-awesome.min.css">

    <!-- Page Specific CSS -->

    <link rel="stylesheet" href="http://cdn.oesmith.co.uk/morris-0.4.3.min.css">

    <!-- JavaScript -->

    <script src="js/jquery-1.10.2.js"></script>

    <script src="js/bootstrap.js"></script>

    <!-- Page Specific Plugins -->

    <script src="http://cdnjs.cloudflare.com/ajax/libs/raphael/2.1.0/raphael-min.js"></script>

    <script src="http://cdn.oesmith.co.uk/morris-0.4.3.min.js"></script>

    <!--<script src="js/morris/chart-data-morris.js"></script>-->

    <script src="js/tablesorter/jquery.tablesorter.js"></script>

    <script src="js/tablesorter/tables.js"></script>
    
	<script>
		$(document).ready(function() {
			$("#nav-termekek").addClass("open") ;
		}) ;	
	</script>
    
<script>
	function biztos(mit)
	{
   	  if (confirm("Biztosan törli?"))
	  {
		if (mit.search(/kat_/) >= 0) {
			var kat_id = mit.substr(4, 6) ;
			document.location.href = "formok/category-delete.php?id="+kat_id ;
		}
		else
		{
			var termek_id = mit.substr(7,6) ;
			document.location.href = "formok/product-delete.php?id="+termek_id ;			
		}
	  }
	}
	
	function kategoria_kivalaszt() {
		var kateg_id = document.getElementById('kategoria').value ;	
		document.location.href = "categories-list.php?akt_kat="+kateg_id ;
	}
	
	function modosit(mit) {
		if (mit.search(/kat_/) >= 0) {
			var kat_id = mit.substr(4, 6) ;
			document.location.href = "category-edit.php?id="+kat_id ;
		}
		else
		{
			var termek_id = mit.substr(7,6) ;
			document.location.href = "product-edit.php?id="+termek_id ;			
		}
	}

	function lathato(mit) {
		if (mit.search(/kat_/) >= 0) {
			var kat_id = mit.substr(4, 6) ;
			document.location.href = "lathatosag.php?tipus=kategoria&id="+kat_id+"&oldal="+<?php echo $oldal;?> ;
		}
		else
		{
			var termek_id = mit.substr(7,6) ;
			document.location.href = "lathatosag.php?tipus=termek&id="+termek_id+"&oldal="+<?php echo $oldal;?> ;			
		}
	}
	
	function uj_alkategoria() {
		document.location.href = "category-new.php?szulo="+<?php echo $akt_kat;?> ;
	}
	
	function uj_termek() {
		document.location.href = "product-new.php?kat="+<?php echo $akt_kat;?> ;
	}
	
</script>    
  </head>



  <body>



    <div id="wrapper">

	

	<?php include "inc_sidebar_top.php"?>      



      <div id="page-wrapper">



        <div class="row">

          <div class="col-lg-12">

            <h1>Termék kategóriák</h1>

          </div>
          
<?php
	if (count($_SESSION["hiba"]) > 0) {
		echo '<div class="col-lg-12">' ;
		foreach ($_SESSION["hiba"] as $hibasor) {
			$class = "alert-danger" ;
			if ($hibasor["tipus"] == "success") {
				$class = "alert-success" ;
			}
			echo '<div class="alert alert-dismissable ' . $class . '">'.$hibasor["szoveg"].'</div>' ;
		}		
		echo '</div>' ;
		unset($_SESSION["hiba"]) ;
	}
?>	          

        </div><!-- /.row -->





        <div class="row">

          <div class="form-group col-lg-4">
            <label>Gyors kategória választó</label>

            <select class="form-control" name="kategoria" id="kategoria" onChange="kategoria_kivalaszt()">
                <option value="">Kérlek, válassz!</option>
                <?php
                    for ($i=0;$i<count($kategoriak);$i++) {
                        echo '<option value="'.$kategoriak[$i]["id"].'"' ;
                            if ($akt_kat == $kategoriak[$i]["id"]) {
                                echo ' selected' ;
								$aktualis_kategoria_nev = $kategoriak[$i]["nev"] ;
                            }
                        echo '>'.$kategoriak[$i]["nev"].'</option>' ;
                    }
                ?>	
            </select>

          </div>        

      </div>      

	  <div class="row">
          <div class="col-lg-12">
			<b>Aktuális kategória:</b> <?php echo $aktualis_kategoria_nev;?>
		  </div>
          <div class="col-lg-12">

            <div class="table-responsive">

              <table class="table table-bordered table-hover table-striped tablesorter">

                <thead>

                  <tr>

                    <th>Kategória / termék név</th>

                    <th>Súly</th>

                    <th>Aktív</th>

                    <th></th>

                    <th></th>

                  </tr>

                </thead>

                <tbody>
<!--Alkategóriák------------------>
<?php
	for ($i=0;$i<count($alkategoriak);$i++) {
?>
                  <tr>

                    <td><img src="<?php echo $img_path.'mappa_ikon.gif';?>"><a href="categories-list.php?akt_kat=<?php echo $alkategoriak[$i]["id"];?>"><?php echo $alkategoriak[$i]["nev"];?></a></td>

                    <td><?php echo $alkategoriak[$i]["suly"];?></td>

                    <td><input type="checkbox" name="lathato<?php echo $alkategoriak[$i]["id"];?>" value="<?php echo $alkategoriak[$i]["id"];?>" onClick="javascript:lathato('kat_<?php echo $alkategoriak[$i]["id"];?>');" <?php if ($alkategoriak[$i]["lathato"] == '1') echo "checked";?>></td>

                    <td><button type="button" class="btn btn-default" onClick="javascript:modosit('kat_<?php echo $alkategoriak[$i]["id"];?>');">Módosít</button></td>

                    <td><button type="button" class="btn btn-default" onClick="javascript:biztos('kat_<?php echo $alkategoriak[$i]["id"];?>');">Töröl</button></td>

                  </tr>
<?php
	}
?>
<!--Alkategóriák vége------------------>

<!--Termékek------------------>
<?php
	for ($i=0;$i<count($termekek);$i++) {
?>
                  <tr>

                    <td><?php echo $termekek[$i]["nev"];?></td>

                    <td><?php echo $termekek[$i]["suly"];?></td>

                    <td><input type="checkbox" name="lathato<?php echo $termekek[$i]["id"];?>" value="<?php echo $termekek[$i]["id"];?>" onClick="javascript:lathato('termek_<?php echo $termekek[$i]["id"];?>');" <?php if ($termekek[$i]["lathato"] == '1') echo "checked";?>></td>

                    <td><button type="button" class="btn btn-default" onClick="javascript:modosit('termek_<?php echo $termekek[$i]["id"];?>');">Módosít</button></td>

                    <td><button type="button" class="btn btn-default" onClick="javascript:biztos('termek_<?php echo $termekek[$i]["id"];?>');">Töröl</button></td>

                  </tr>
<?php
	}
?>
                </tbody>

              </table>
	<?php
		if (count($termekek) == 0) {
			echo '<button type="button" class="btn btn-primary" id="uj_kategoria" name="uj_kategoria" onClick="uj_alkategoria();">Új kategória hozzáadása</button>&nbsp;' ;
		}
		if (count($alkategoriak) == 0) {
			echo '<button type="button" class="btn btn-primary" id="uj_termek" name="uj_termek" onClick="uj_termek();">Új termék felvétele</button>' ;
		}
	?>

              <div class="text-center">
              <ul class="pagination">
<?php 
	$elozo_class = ' class="disabled"' ;
	if ($elozo != "") {
		$elozo_class="" ;	
	}
?>
     <li<?php echo $elozo_class;?>><a href="collections-list.php?old=<?php echo $elozo;?>&akt_kat=<?php echo $akt_kat;?>">&laquo;</a></li>
	<?php 
		for ($i=1;$i<=$oldalszam;$i++) {
			$oldal_class = "" ;
			if ($i == $oldal) {
				$oldal_class = ' class="active"' ;
			}
			echo '<li' . $oldal_class . '><a href="collections-list.php?old='.$i.'&akt_kat='.$akt_kat.'">'.$i.'</a></li>';
		}
	?>

<?php 
	$kov_class = ' class="disabled"' ;
	if ($kov != "") {
		$kov_class="" ;	
	}
?>
    <li<?php echo $kov_class;?>><a href="collections-list.php?old=<?php echo $kov;?>&akt_kat=<?php echo $akt_kat;?>">&raquo;</a></li> 
              </ul>
              </div>

            </div>

            

          </div>

        </div><!-- /.row -->





      </div><!-- /#page-wrapper -->



    </div><!-- /#wrapper -->



  </body>

</html>